### Class

# Atk ObjectFactory

#### Description [src]

    class Atk.ObjectFactory : GObject.Object
    {
      /* No available fields */
    }

The base object class for a factory used to create accessible objects for objects of a specific GType.

This class is the base object class for a factory used to create an accessible object for a specific GType. The function `atk_registry_set_factory_type()` is normally called to store in the registry the factory type to be used to create an accessible of a particular GType.

#### Ancestors

- GObject

#### Descendants

- AtkNoOpObjectFactory

#### Instance methods

###### atk_object_factory_create_accessible

Provides an `AtkObject` that implements an accessibility interface on behalf of `obj`.

###### atk_object_factory_get_accessible_type

Gets the GType of the accessible which is created by the factory.

###### atk_object_factory_invalidate

Inform `factory` that it is no longer being used to create accessibles. When called, `factory` may need to inform `AtkObjects` which it has created that they need to be re-instantiated. Note: primarily used for runtime replacement of `AtkObjectFactorys` in object registries.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtkObjectFactoryClass {
      GObjectClass parent_class;
      AtkObject* (* create_accessible) (
        GObject* obj
      );
      void (* invalidate) (
        AtkObjectFactory* factory
      );
      GType (* get_accessible_type) (
    void
      );
      AtkFunction pad1;
      AtkFunction pad2;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`create_accessible: AtkObject* (* create_accessible) ( GObject* obj )`

  No description available.

`invalidate: void (* invalidate) ( AtkObjectFactory* factory )`

  No description available.

`get_accessible_type: GType (* get_accessible_type) ( void )`

  No description available.

`pad1: AtkFunction`

  No description available.

`pad2: AtkFunction`

  No description available.

#### Virtual methods

###### Atk.ObjectFactoryClass.invalidate

Inform `factory` that it is no longer being used to create accessibles. When called, `factory` may need to inform `AtkObjects` which it has created that they need to be re-instantiated. Note: primarily used for runtime replacement of `AtkObjectFactorys` in object registries.